#ifndef _ISCENE_H_
#define _ISCENE_H_

#include "IEventListener.h"

class IScene : public IEventListener
{
	public:
	IScene() {}
	~IScene() {}

	virtual void Initialise() = 0;
	virtual void Draw() = 0;
	virtual void Update() = 0;
	virtual void Shutdown() = 0;

	virtual void Activate() = 0;
	virtual void Deactivate() = 0;

	//Inherited from event listener.
	//virtual bool HandleEvent(IEvent* pEvent) = 0;
};

#endif
